module Operations.Insert where

import Control.Monad.Buuka

import Control.Monad.State
       (modify)

import qualified Data.Buuka as B

import Data.Text
       (Text)

insert :: Text -> Maybe Text -> BuukaM ()
insert url title = buukaU (modify (B.insert entry))
  where
    entry = B.BuukaEntry{ B._url = B.URL url, B._title = title }
